> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# future stock pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/future-stock
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/future-stock:
    get:
      tags:
        - Future Stock
      summary: future stock pagination
      operationId: FutureStockController_findAll_v1
      parameters:
        - name: limit
          required: false
          in: query
          description: 'pagination: limit of entities returned by query'
          schema:
            type: number
        - name: skuCode
          required: false
          in: query
          schema:
            type: string
        - name: skuId
          required: false
          in: query
          schema:
            type: string
        - name: deliveryWindowCode
          required: false
          in: query
          schema:
            type: string
        - name: deliveryWindowId
          required: false
          in: query
          schema:
            type: string
        - name: availableForSale
          required: false
          in: query
          schema:
            type: boolean
        - name: changeStartDate
          required: false
          in: query
          description: 'change start date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)'
          schema:
            example: '2025-07-25 08:00:00'
            type: string
        - name: changeEndDate
          required: false
          in: query
          description: 'change end date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)'
          schema:
            example: '2025-07-26 20:15:00'
            type: string
        - name: cursorId
          required: false
          in: query
          description: cursor of the last loaded future stock
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FutureStockDTO'
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: future stock pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    FutureStockDTO:
      type: object
      properties:
        id:
          type: string
          example: string
        deliveryWindowId:
          type: string
          example: string
        deliveryWindowCode:
          type: string
          example: string
        skuId:
          type: string
          example: string
        skuCode:
          type: string
          example: string
        totalAmount:
          type: number
          example: 100
        availableAmount:
          type: number
          example: 100
          nullable: true
        reservedAmount:
          type: number
          example: 0
        availableForSale:
          type: boolean
          example: true
        availableStartDate:
          type: string
          example: '2024-08-15T17:27:03.665Z'
          format: date-time
          nullable: true
        availableEndDate:
          type: string
          example: '2024-08-15T17:27:03.665Z'
          format: date-time
          nullable: true
        updatedAt:
          format: date-time
          type: string
          example: '2024-08-15T17:27:03.665Z'
      required:
        - id
        - deliveryWindowId
        - deliveryWindowCode
        - skuId
        - skuCode
        - totalAmount
        - availableAmount
        - reservedAmount
        - availableForSale
        - availableStartDate
        - availableEndDate
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````